=== debian/changelog ===
genwqe-user (4.0.18-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS. (Closes: #954611)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 10 Apr 2020 14:38:27 +0100

genwqe-user (4.0.18-3) unstable; urgency=medium

  * Change Architecture to linux-any.

 -- Fernando Seiti Furusato <ferseiti@linux.vnet.ibm.com>  Thu, 09 Mar 2017 11:44:34 -0300

genwqe-user (4.0.18-2) unstable; urgency=medium

  * Add patches that fix FTBFS on 32-bit architectures (Closes: #855377)

 -- Fernando Seiti Furusato <ferseiti@linux.vnet.ibm.com>  Wed, 08 Mar 2017 08:43:51 -0300

genwqe-user (4.0.18-1) unstable; urgency=medium

  * Initial release (Closes: #826774)

 -- Fernando Seiti Furusato <ferseiti@linux.vnet.ibm.com>  Thu, 12 Jan 2017 13:18:16 -0200
