=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/default.mk

export DPKG_GENSYMBOLS_CHECK_LEVEL=4

# Destination directory where files will be installed
INSTDIR = $(CURDIR)/debian/tmp

VERSION=$(DEB_VERSION_UPSTREAM)

%:
	dh $@ 

override_dh_auto_clean:
	$(MAKE) distclean V=2
	$(RM) cantrbry.tar.gz

override_dh_auto_build:
# The tarball below is a workaround so the test does not need to
# download it.
	tar czvf cantrbry.tar.gz -C misc .
	$(MAKE) tools lib VERSION=$(VERSION) V=2

override_dh_auto_install:
	dh_auto_install -- \
	  DESTDIR=$(INSTDIR)/usr \
	  LIB_INSTALL_PATH=$(INSTDIR)/usr/lib/$(DEB_HOST_MULTIARCH) \
	  INCLUDE_INSTALL_PATH=$(INSTDIR)/usr/include/genwqe \
	  MAN_INSTALL_PATH=$(INSTDIR)/usr/share/man/man1
# The symlinks below are the alternatives to gzip and gunzip.
	ln -srf $(INSTDIR)/usr/bin/genwqe_gunzip \
          $(INSTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/genwqe/gunzip
	ln -srf $(INSTDIR)/usr/bin/genwqe_gzip \
          $(INSTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/genwqe/gzip
