=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/<project>-$1.tar.gz/" \
  https://github.com/ibm-genwqe/genwqe-user/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
