=== debian/changelog ===
genwqe-user (4.0.20-3) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Exclude i386 build from Salsa CI

  [ наб ]
  * d/p/shuf: Fix Makefile dependencies (Closes: #1105333)

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Sun, 24 Aug 2025 19:29:14 +0200

genwqe-user (4.0.20-2) unstable; urgency=medium

  * Team upload.
  * Build-Depends: architecture-is-64-bit

 -- Andreas Tille <tille@debian.org>  Wed, 19 Feb 2025 10:03:06 +0100

genwqe-user (4.0.20-1) unstable; urgency=medium

  * Team upload.

  [ наб ]
  * d/watch: version 4
  * New upstream version 4.0.20 (Closes: #1087553, #1069483)
    + Rebase patches
    + d/not-installed: add, listing /u/l/*/**.a
  * debian/libzadc4.symbols: add zedc_read_pending_output@Base 4.0.20
                               & z_compressBound@Base 4.0.20
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * d/control: Homepage: https://github.com/ibm-genwqe/genwqe-user
  * Also forward VERSION and CROSS in dh_auto_test & dh_auto_install
  * d/control: drop versioned zlib restriction unneeded since wheezy
  * Vcs-Git: https://salsa.debian.org/debian/genwqe-user.git
    Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
    Closes: #1088623

  [ Helmut Grohne ]
  * Pass CROSS to fix cross-builds (Closes: #961947)
    (it still doesn't cross-build because it uses help2man, but)

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Thu, 28 Nov 2024 19:34:19 +0100
