=== debian/control ===
Source: genwqe-user
Priority: optional
Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
Build-Depends: debhelper-compat (= 13),
               architecture-is-64-bit,
               help2man,
               zlib1g-dev,
               libcxl-dev [ppc64el]
Standards-Version: 4.7.0
Section: libs
Homepage: https://github.com/ibm-genwqe/genwqe-user
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/genwqe-user.git
Vcs-Browser: https://salsa.debian.org/debian/genwqe-user

Package: libzadc-dev
Section: libdevel
Architecture: linux-any
Depends: libzadc4 (= ${binary:Version}), ${misc:Depends}, zlib1g-dev
Description: accelerated libz implementation (development headers)
 Accelerated libz implementation uses FPGA based PCIe cards
 (e.g. zEDC) to accelerate compression/decompression.
 .
 This package provides headers and development libraries.

Package: libzadc4
Section: libs
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, zlib1g
Description: accelerated libz implementation (Accelerated Data Compression/ADC)
 Accelerated libz implementation uses FPGA based PCIe cards
 (e.g. zEDC) to accelerate compression/decompression.
 .
 This package provides public libzADC library, and libz library
 symlinks which are not exposed in the ldconfig paths.

Package: genwqe-tools
Section: utils
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, zlib1g
Description: utilities for accelerated libz implementation
 Accelerated libz implementation uses FPGA based PCIe cards
 (e.g. zEDC) to accelerate compression/decompression.
 .
 This package provides utilities to use libzADC, as well as
 gzip/gunzip names for genwqe utilities in a subdirectory not in
 $PATH.
