=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 VERSION=$(DEB_VERSION_UPSTREAM)
 
 %:
-	dh $@ 
+	dh $@
 
 override_dh_auto_clean:
 	$(MAKE) distclean V=2
@@ -21,14 +21,18 @@
 # The tarball below is a workaround so the test does not need to
 # download it.
 	tar czvf cantrbry.tar.gz -C misc .
-	$(MAKE) tools lib VERSION=$(VERSION) V=2
+	$(MAKE) tools lib VERSION=$(VERSION) V=2 $(if $(filter $(DEB_BUILD_ARCH),$(DEB_HOST_ARCH)),,CROSS=$(DEB_HOST_GNU_TYPE)-)
+
+override_dh_auto_test:
+	dh_auto_test -- VERSION=$(VERSION) V=2 $(if $(filter $(DEB_BUILD_ARCH),$(DEB_HOST_ARCH)),,CROSS=$(DEB_HOST_GNU_TYPE)-)
 
 override_dh_auto_install:
 	dh_auto_install -- \
 	  DESTDIR=$(INSTDIR)/usr \
 	  LIB_INSTALL_PATH=$(INSTDIR)/usr/lib/$(DEB_HOST_MULTIARCH) \
 	  INCLUDE_INSTALL_PATH=$(INSTDIR)/usr/include/genwqe \
-	  MAN_INSTALL_PATH=$(INSTDIR)/usr/share/man/man1
+	  MAN_INSTALL_PATH=$(INSTDIR)/usr/share/man/man1 \
+	  VERSION=$(VERSION) V=2 $(if $(filter $(DEB_BUILD_ARCH),$(DEB_HOST_ARCH)),,CROSS=$(DEB_HOST_GNU_TYPE)-)
 # The symlinks below are the alternatives to gzip and gunzip.
 	ln -srf $(INSTDIR)/usr/bin/genwqe_gunzip \
           $(INSTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/genwqe/gunzip
